html {
  background: #eaeeea;
}

body {
  text-align: center;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
}

.panel {
  margin: auto;
  max-width: 380px;
  padding: 0.5rem;
  padding-top: 3rem;
  transition: opacity 0.5s;
}

.animated {
  transition: opacity 0.25s;
}

h1 {
  font-size: 1.5rem;
  font-weight: normal;
  margin-top: 0.5rem;
  margin-bottom: 2rem;
}
p {
  margin-top: 0rem;
  margin-bottom: 1.5rem;
  color: #455;
}

.img-wrapper {
  padding-left: 1rem;
  padding-right: 1rem;
}
img {
  max-width: 100%;
  height: auto;
}

input,
.loadingButton {
  display: block;
  width: 100%;
  box-sizing: border-box;
  padding: 0.75rem;
  font-size: 1rem;
  border-radius: 0.25rem;
}

select {
  display: block;
  width: 100%;
  box-sizing: border-box;
  padding: 0.75rem;
  font-size: 1rem;
  border-radius: 0.25rem;

  /* hide default arrow */
  appearance: none;
  -webkit-appearance: none;

  /* custom arrow */
  background-image: url("data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23131313%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E");
  background-repeat: no-repeat;
  background-position: right 0.75rem top 50%;
  background-size: 0.65rem auto;
}

.organizationSelectWrapper {
  text-align: start;
}

.organizationSelectWrapper select {
  margin-top: 0.25rem;
}

input:not([type="submit"]) {
  margin-top: 0.5rem;
  border: 1px solid #ccc;
}

/* Change the white to any color */
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  -webkit-box-shadow: 0 0 0 30px white inset !important;
  box-shadow: 0 0 0 30px white inset !important;
}

input[type="submit"] {
  color: white;
  font-weight: bold;
  border: none;
  cursor: pointer;
  background: rgba(44, 122, 123);
}
input[type="submit"]:hover {
  background: rgb(49, 136, 138);
}
input.error {
  border-color: #e44;
  background-color: #fee;
  color: #e44;
}

.loadingButton {
  display: block;
  text-align: center;
  padding: 0.5rem;
  background: rgb(59, 130, 131);
}

.loadingButton,
input[type="submit"] {
  margin-top: 1.5rem;
  height: 3rem;
}

@media screen and (min-width: 768px) {
  .panel {
    margin-top: 5rem;
  }

  .img-wrapper {
    padding-left: 2rem;
    padding-right: 2rem;
  }
}
@media screen and (min-width: 768px) and (min-height: 600px) {
  .panel {
    margin-top: 10rem;
  }
}

/* CSS-LOADER */
.loader {
  border: 3px solid #fff; /* White */
  border-top: 3px solid rgb(59, 130, 131); /* Green */
  border-radius: 50%;
  width: 22px;
  height: 22px;
  animation: spin 1s linear infinite;
  margin: auto;
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.gray-link {
  color: #566;
  text-decoration: underline;
  cursor: pointer;
}

.errorText {
  color: #e44;
  font-size: 0.8rem;
  margin-top: 0.5rem;
}

.roleButton,
button {
  font-weight: bold;
  text-decoration: none;
  font-size: 1rem;
  border: none;
  border-radius: 0.25rem;
  cursor: pointer;
  margin-top: 0.5rem;
}

.roleButton {
  display: block;
  padding: 1.25rem;
  color: #fff;
  background-color: rgba(44, 122, 123);
}
button {
  display: inline-block;
  padding: 0.75rem 1.25rem;
  color: rgba(44, 122, 123);
  background-color: transparent;
  transition: background-color 0.1s ease;
}

.roleButton:hover {
  background-color: rgb(49, 136, 138);
}

button:hover {
  background-color: rgba(50, 50, 50, 0.1);
}
/* Customize the label (the container) */
.checkbox-container {
  display: block;
  position: relative;
  padding-left: 2rem;
  margin-top: 1rem;
  margin-bottom: 1rem;
  cursor: pointer;
  text-align: left;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.checkbox-container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: 0;
  left: 0;
  height: 20px;
  width: 20px;
  background-color: #fff;
  border-radius: 3px;
  border: 1px solid #aaa;
}

/* On mouse-over, add a grey background color */
.checkbox-container:hover input ~ .checkmark {
  background-color: #eee;
}

/* When the checkbox is checked, add a blue background */
.checkbox-container input:checked ~ .checkmark {
  background-color: rgba(44, 122, 123);
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.checkbox-container input:checked ~ .checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.checkbox-container .checkmark:after {
  left: 6px;
  top: 2px;
  width: 5px;
  height: 11px;
  border: solid white;
  border-width: 0 2px 2px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

#errorDialog {
  border: none;
  border-radius: 0.25rem;
  box-shadow: 0px 1px 5px -2px rgba(50, 50, 50, 0.25);
}

#errorDialog[open] {
  animation: dialogShow 0.3s ease normal;
}

@keyframes dialogShow {
  from {
    transform: scale(0.9);
    opacity: 0;
  }
  to {
    transform: scale(1);
    opacity: 1;
  }
}

#organizationInputHelpButton {
  right: 0.5rem;
}
@media screen and (min-width: 768px) {
  #organizationInputHelpButton {
    left: 100%;
    right: auto;
  }
}

.formHelp {
  display: flex;
  align-items: center;
  justify-content: center;
  border: 2px solid #fff;
  color: #fff;
  font-size: 1.5rem;
  font-weight: 500;
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 999px;
  cursor: pointer;
  user-select: none;
  background: rgba(0, 0, 0, 0.2);
  box-shadow: 0px 1px 5px 0px rgba(50, 50, 50, 0.3);
}

#organizationInputHelp {
  background: #ffd;
  border: 1px solid #dd5;
  border-radius: 0.25rem;
  padding: 0.5rem;
  margin-bottom: 1.5rem;
  margin-top: 0.25rem;
}

.relative {
  position: relative;
}
.absolute {
  position: absolute;
}
.flex {
  display: flex;
}
.h-full {
  height: 100%;
}
.items-center {
  align-items: center;
}
.left-full {
  left: 100%;
}
.top-0 {
  top: 0;
}
.p-1 {
  padding: 0.25rem;
}
.pl-2 {
  padding-left: 0.5rem;
}
.text-left {
  text-align: left;
}
.text-sm {
  font-size: 0.875rem; /* 14px */
  line-height: 1.25rem; /* 20px */
}
